// You can import API functions like this from D3.js.
import { select } from 'd3';

const svg = select('svg');

function getRandomArbitrary(min, max) {
  return Math.random() * (max - min) + min;
}


// You can import local ES6 modules like this. See message.js!
import { message } from './myMessage';
console.log("gz")

// This line uses D3 to set the text of the message div.
select('#message').text(message);


console.log(window.innerHeight)
console.log(window.innerWidth)

const widthMax = +svg.attr('width');
const heightMax = +svg.attr('height');

console.log(heightMax);
console.log(widthMax);

function createCircle(svg,width,height,widthMax,heightMax,color){
svg.append('circle')
.attr('cx', width)
.attr('cy', height)
.attr('r', 50)
.style("fill", color)
.on("mouseover", function(d){
  	 console.log(this);
     select(this).transition()
                              .duration(2000)
   														.attr('cx', getRandomArbitrary(0,widthMax) )
           										.attr('cy', getRandomArbitrary(0,heightMax) )
  														.attr('r', getRandomArbitrary(0,200))
         											.style("fill", '#'+(Math.random()*0xFFFFFF<<0).toString(16));

})
.on("mouseout", function(d){
  	 console.log(this);
});
}
createCircle(svg,widthMax/2+100,heightMax/2,widthMax,heightMax,'#'+(Math.random()*0xFFFFFF<<0).toString(16));
createCircle(svg,widthMax/2-100,heightMax/2,widthMax,heightMax,'#'+(Math.random()*0xFFFFFF<<0).toString(16));
createCircle(svg,widthMax/2,heightMax/2,widthMax,heightMax,'#'+(Math.random()*0xFFFFFF<<0).toString(16));
